<?php
defined('TYPO3_MODE') || die ('Access denied.');

$t3version = \TYPO3\CMS\Core\Utility\VersionNumberUtility::getCurrentTypo3Version();
if ($t3version > 7) {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:youtubevideo/Configuration/PageTS/setup.ts">');
} else {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:youtubevideo/Configuration/PageTS/setup_6.2.ts">');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(

    // The extension name (in UpperCamelCase) or the extension key (in lower_underscore)
    'Brightside.Youtubevideo',

     // A unique name of the plugin in UpperCamelCase
    'ContentRenderer',

    // An array holding the controller-action-combinations that are accessible
    array (
         // The first controller and its first action will be the default
        'Youtubevideo' => 'index',
    ),

    // An array of non-cachable controller-action-combinations (they must already be enabled)
    array (
    )
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY, 'setup',
    '[GLOBAL]
    tt_content.youtubevideo_pi1 < tt_content.list.20.youtubevideo_contentrenderer
    tt_content.youtubevideo_pi1.action = index',
    true
);

$t3version = \TYPO3\CMS\Core\Utility\VersionNumberUtility::getCurrentTypo3Version();
if ($t3version > 7) {
	$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
	$iconRegistry->registerIcon(
	  'youtubevideo_icon',
	  \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
	  ['source' => 'EXT:youtubevideo/Resources/Public/Images/Icons/ext_icon_content.svg']
	);
}
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['cms/layout/class.tx_cms_layout.php']['tt_content_drawItem']['youtubevideo_pi1'] =
   \Brightside\Youtubevideo\Hooks\PageLayoutView\NewContentElementPreviewRenderer::class;